﻿/*
**************************************************************************************
*           Scriptname: TFT_2_AbsatzAusKatalog.jsx
*           Absatz-Eigenschaften direkt aus dem Katalog beziehen
*           Array anlegen und füllen
*           Objekteigenschaften lesen und setzen für den aktuellen Absatz
*
**************************************************************************************
*/

// -----------------    Variablendefinitionen

var gCursorPosition;    

var gDokument = app.ActiveDoc;

var gAbsatzFormatNamen = ["Titel","Numeriert","Haupttext","Überschrift 1","Markiert","Wichtig"];    // Array erstellen und füllen

var gAbsatzObjekt = EingabeOrtFinden();       // Funktionsaufruf mit  Ergebnisübergabe

//var gAbsatzFormatNeu = gDokument.GetNamedPgfFmt("Wichtig");   // gAbsatzFormatNeu ist Objekt !!! - Direktzugriff  mit GetNamedxxx
// alternativ 
var gAbsatzFormatNeu = gDokument.GetNamedPgfFmt(gAbsatzFormatNamen[5]);     // liefert das Objekt aus dem Katalog

var gAbsatzEigenschaftenNeu = gAbsatzFormatNeu.GetProps();          //Liefert ALLE Objekteigenschaften

gAbsatzObjekt.SetProps(gAbsatzEigenschaftenNeu);                            // schreibt alle Objekteigenschaften in das AbsatzObjekt


// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- NEU
function EingabeOrtFinden()
{
    var locCursor = gDokument.TextSelection;
    var locAbsatzObjekt = locCursor.beg.obj;
 
    return locAbsatzObjekt;         // dieser Wert wird zurückgegeben
}   // Ende function EingabeOrtFinden()
