﻿/*
**************************************************************************************
*           Scriptname: TFT_3_AlleErsetzen.jsx
*           
*           Fallunterscheidung mit "if"
*           Schleifendurchlauf, um ALLE Absätze zu bearbeiten
*           Ausgabe in der Javascript-Konsole
**************************************************************************************
*/

// -----------------    Variablendefinitionen

var gCursorPosition;

var gDokument = app.ActiveDoc;

var gAbsatzFormatNamen = ["Titel","Numeriert","Haupttext","Überschrift 1","Markiert","Wichtig"];

var gAbsatzObjekt = EingabeOrtFinden();

var gAbsatzFormatNeu = gDokument.GetNamedPgfFmt("Wichtig");   // ist Objekt !!!!

var gAbsatzEigenschaftenNeu = gAbsatzFormatNeu.GetProps();

var swBearbeitung = "A";     // E für Einzelnen Absatz - A für Alle Absätze

if (swBearbeitung == "E")
    {
    gAbsatzObjekt.SetProps(gAbsatzEigenschaftenNeu);        // gibt einen Parameter  mit 
    }   // Ende  if (swBearbeitung == "E")

if (swBearbeitung == "A")
    {
    FormatAustausch (gAbsatzEigenschaftenNeu);
    }   // Ende if (swBearbeitung == "A")

// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- FUNKTIONEN
function EingabeOrtFinden()
{
    var locCursor = gDokument.TextSelection;
    var locAbsatzObjekt = locCursor.beg.obj;
 
    return locAbsatzObjekt;
}  // Ende Function EingabeOrtFinden

function FormatAustausch (fAbsatzEigenschaftenNeu)              // enthält den Parameter
 {
    var locFlow = gDokument.MainFlowInDoc;                          
    var locPgfValid = locFlow.FirstTextFrameInFlow.FirstPgf;    // hier bekomme ich den ersten Absatz im Dokument (Flow)
    var locZaehl = 0;
    
    var locNeuPgfName = gAbsatzObjekt.Name;
    // Schleife, um alle Absätze zu durchsuchen und zu bearbeiten
    while (locPgfValid.ObjectValid ())
            {
                if (locPgfValid.Name == locNeuPgfName)
                    {
                    // Console ("Gefunden an Stelle : " + locZaehl);            // Ausgabe in der FrameMaker-Konsole
                       
                     locPgfValid.SetProps (fAbsatzEigenschaftenNeu) ;
                     locZaehl++;                                                     // Kurzform für locZaehler = locZaehler + 1
                           
                     }  // Ende if (locPgfValid.Name == locNeuPgfName)
                
                locPgfValid = locPgfValid.NextPgfInFlow;
             }  // Ende  while (locPgfValid.ObjectValid ())
         
    alert ("Ersetzungen: " + locZaehl, "Ergebnis");
     
}   // Ende Function FormatAustausch