﻿/*
**************************************************************************************
*           Scriptname: TFT_4_AlleErsetzen_Irreguar.jsx
*
*           confirm - eine weitere Form der Meldungsausgabe incl. Werterückgabe
*           Herausfinden, ob ein Absatzformat irreguär ist 
*           Entscheiden, ob diese Absatz auch behandelt werden soll
**************************************************************************************
*/

// -----------------    Variablendefinitionen

var gCursorPosition;

var gDokument = app.ActiveDoc;

var gAbsatzFormatNamen = ["Titel","Numeriert","Haupttext","Überschrift 1","Markiert","Wichtig"];

var gAbsatzObjekt = EingabeOrtFinden();

var gAbsatzFormatNeu = gDokument.GetNamedPgfFmt("Wichtig");   // ist Objekt !!!!

var gAbsatzEigenschaftenNeu = gAbsatzFormatNeu.GetProps();

var swBearbeitung = "A";     // E für Einzelnen Absatz - A für Alle Absätze

if (swBearbeitung == "E")
    {
    gAbsatzObjekt.SetProps(gAbsatzEigenschaftenNeu);         // gibt einen Parameter  mit 
    }   // Ende  if (swBearbeitung == "E")

if (swBearbeitung == "A")
    {
    FormatAustausch (gAbsatzEigenschaftenNeu);
    }   // Ende  if (swBearbeitung == "A")

// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- FUNKTIONEN
function EingabeOrtFinden()
{
    var locCursor = gDokument.TextSelection;
    var locAbsatzObjekt = locCursor.beg.obj;
 
    return locAbsatzObjekt;
} // Ende Function

function FormatAustausch (fAbsatzEigenschaftenNeu)
 {
    var locFlow = gDokument.MainFlowInDoc;
    var locPgfValid = locFlow.FirstTextFrameInFlow.FirstPgf;
    var locZaehl = 0;
    
    var locNeuPgfName = gAbsatzObjekt.Name;
    
    while (locPgfValid.ObjectValid ())
            {
                if (locPgfValid.Name == locNeuPgfName)
                    {
                    // Console ("Gefunden an Stelle : " + locZaehl);
                       
                        if (locPgfValid.FormatOverride == 0 ) // falls Eigenschaften manuell geändert wurden
                            {
                            locPgfValid.SetProps (fAbsatzEigenschaftenNeu) ;
                             locZaehl++;
                             }
                         else
                            {
                             var jaNein = confirm("Ungültiges Format auch ersetzen? ",true,"Ungültiges Format gefunden");   // "noAsDflt" true oder false
                             if (jaNein == true)
                                {
                                locPgfValid.SetProps (fAbsatzEigenschaftenNeu) ;
                                locZaehl++;
                                }
                             }
                     }
                
                locPgfValid = locPgfValid.NextPgfInFlow;
             }
    alert ("Ersetzungen: " + locZaehl);
}// Ende Function
