﻿/*
*****************************************************************************************************
*           Scriptname: TFT_7_DialogFinal.jsx
*           Radiobutton
*           Hinzufügen unserer  Funktionen aus TFT_1 bis 4
*           
*           
*
*****************************************************************************************************
*/
// -----------------    Variablendefinitionen

    var gAbsatzFormatNamen = [];
    
    var gDialog;
    
    var gDokument = app.ActiveDoc;
    
//___________________________________
    gAbsatzFormatNamen = FormatKatalogAuslesen();     //------NEU

    if(gDokument.ObjectValid() == true)                     // Überprüfen, ob ein aktives Dokument vorhanden ist
        {
            DialogAufbauen();
            }
    else
    {
       alert("Kein aktives Dokument vorhanden. ABBRUCH");  
    }
// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- FUNKTIONEN
function DialogAufbauen()
{
    var locZaehler = 0;    
    var Ausgabetext = "Formate ersetzen";
    gDialog = new Window("palette",Ausgabetext);
    var FensterGroesse = [200,200];
    gDialog.minimumSize =FensterGroesse;
 
    gDialog.Verarbeitung = gDialog.add("panel",undefined,"Auswahl");
    gDialog.Verarbeitung.minimumSize = [150,10];
    gDialog.Verarbeitung.Label = gDialog.Verarbeitung.add("statictext",undefined,"Bitte Format auswählen");
  
    gDialog.Verarbeitung.drop = gDialog.Verarbeitung.add("dropdownlist",undefined,gAbsatzFormatNamen); 
    gDialog.Verarbeitung.drop.selection = 0;
//--------------------------------------- RADIOBUTTON
    gDialogAuswahl = gDialog.Verarbeitung.add("group",undefined,"");
    gDialogAuswahl.orientation  = "row";
    gDialogAuswahlEinzel = gDialogAuswahl.add("radiobutton",undefined,"Aktuell"); 
    gDialogAuswahlAlle = gDialogAuswahl.add("radiobutton",undefined,"Alle"); 
    gDialogAuswahlEinzel.value = true;
    
//--------------------------------------- 
 
 
    gDialogEingabeBereich = gDialog.add("group", undefined, "Bestätigung"); 
    gDialog.Starten = gDialogEingabeBereich.add("button", undefined, "Zuweisen");
    gDialog.Abbrechen = gDialogEingabeBereich.add("button", undefined, "Abbrechen");
  //------  Events
    gDialog.Starten.onClick = FormatAustauschAuswahl;
    gDialog.Abbrechen.onClick = Abbruch;
 
  gDialog.show();
  }

function Abbruch()
{
    var locEingabe = true;
    if (locEingabe)
        {
        gDialog.close();
        }
}
  
function FormatKatalogAuslesen()
{
    gDokument = app.ActiveDoc;   // falls das aktuelle Dokument gewechselt hat !!!!
    
    var locZaehler = 0;
    var locKatalogNamen = [];
    
    var locPgfFormat = gDokument.FirstPgfFmtInDoc; // aus Liste
        
    while(locPgfFormat.ObjectValid() == true) //------ AbsatzFormatKatalog auslesen
        {  
          locKatalogNamen[locZaehler] = locPgfFormat.Name;
       
          locPgfFormat = locPgfFormat.NextPgfFmtInDoc;
          locZaehler ++
         }
     locKatalogNamen.sort();
    return locKatalogNamen;
}

function FormatAustauschAuswahl ()
 {
   gDokument = app.ActiveDoc;    // falls das aktuelle Dokument gewechselt hat !!!!
      
    var gIndex  = gDialog.Verarbeitung.drop.selection.index;
  
    var locAbsatzObjekt = EingabeOrtFinden();
 
    var gAbsatzFormatNeu = gDokument.GetNamedPgfFmt(gAbsatzFormatNamen[gIndex]);   // ist Objekt

    var gAbsatzEigenschaftenNeu = gAbsatzFormatNeu.GetProps();
   
    if (gDialogAuswahlEinzel.value == true)
        {
        locAbsatzObjekt.SetProps(gAbsatzEigenschaftenNeu);
        }

    if (gDialogAuswahlAlle.value == true)
        {
        FormatAustausch (gAbsatzEigenschaftenNeu,locAbsatzObjekt);
        }
} 

function FormatAustausch (fAbsatzEigenschaftenNeu,fAbsatzObjekt)
 {
    var locFlow = gDokument.MainFlowInDoc;
    var locPgfValid = locFlow.FirstTextFrameInFlow.FirstPgf;
    var locZaehl = 0;
    
    var locNeuPgfName = fAbsatzObjekt.Name;
    
    while (locPgfValid.ObjectValid ())
            {
                if (locPgfValid.Name == locNeuPgfName)
                    {
                    // Console ("Gefunden an Stelle : " + locZaehl);
                       
                        if (locPgfValid.FormatOverride == 0 ) // falls Eigenschaften manuell geändert wurden
                            {
                            locPgfValid.SetProps (fAbsatzEigenschaftenNeu) ;
                            locZaehl++;
                            }
                         else
                            {
                             var jaNein = confirm("Irreguläres Format auch ersetzen? ",true,"Irreguläres Format gefunden")   ;
                             if (jaNein == true)
                                {
                                locPgfValid.SetProps (fAbsatzEigenschaftenNeu) ;
                                locZaehl++;
                                }
                             }
                     }
                
                locPgfValid = locPgfValid.NextPgfInFlow;
             }
    alert ("Ersetzungen: " + locZaehl);
     
}
function EingabeOrtFinden()
{
    var locCursor = gDokument.TextSelection;    
    var locAbsatzObjekt = locCursor.beg.obj;
 
    return locAbsatzObjekt;
}
