﻿/*
**************************************************************************************
*           Scriptname: TFT_Dialog-3.jsx
*           - Einlesen des Absatzformatkatalogs in das Array
*           
*           
*
**************************************************************************************
*/

// -----------------    Variablendefinitionen

    var gAbsatzFormatNamen = [];
    var gDialog;
    var gDokument = app.ActiveDoc;
    
    
    gAbsatzFormatNamen = FormatKatalogAuslesen();
    
    DialogAufbauen ();

// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- FUNKTIONEN

function DialogAufbauen()
{
    var Ausgabetext = "Formate ersetzen";
  //  gDialog = new Window("dialog",Ausgabetext);
    gDialog = new Window("palette",Ausgabetext);
    var FensterGroesse = [200,200];
    gDialog.minimumSize =FensterGroesse;
 
    gDialog.Verarbeitung = gDialog.add("panel",undefined,"Auswahl");
    gDialog.Verarbeitung.minimumSize = [150,10];
    gDialog.Verarbeitung.Label = gDialog.Verarbeitung.add("statictext",undefined,"Bitte Format auswählen");
  
    gDialog.Verarbeitung.drop = gDialog.Verarbeitung.add("dropdownlist",undefined,gAbsatzFormatNamen); // Geändert
    gDialog.Verarbeitung.drop.selection = 0;
 
    gDialogEingabeBereich = gDialog.add("group", undefined, "Bestätigung"); 
    gDialog.Starten = gDialogEingabeBereich.add("button", undefined, "Zuweisen");
    gDialog.Abbrechen = gDialogEingabeBereich.add("button", undefined, "Abbrechen");
  //------  Events
    gDialog.Verarbeitung.drop.onChange = InhaltWechseln;        // nur zum Testen. Wird im nächsten Schritt gelöscht
    gDialog.Starten.onClick = FormatAustausch;
    gDialog.Abbrechen.onClick = Abbruch;
 
    gDialog.show();
}

function Abbruch()
{
    gDialog.close();
}

function InhaltWechseln()    // nur zum Testen. Wird im nächsten Schritt gelöscht
{   
    var locGewaehlt = gDialog.Verarbeitung.drop.selection.index;
    var locGewaehltWort = gDialog.Verarbeitung.drop.selection.text;
    alert(locGewaehlt + " " + locGewaehltWort);
}

function FormatAustausch()
{
   // alert("Einfügen " + gDialog.Verarbeitung.drop.selection.text)
    confirm ("Einfügen " + gDialog.Verarbeitung.drop.selection.text);
}

function FormatKatalogAuslesen()
{
    var locDokument = app.ActiveDoc;   // falls das aktuelle Dokument gewechselt hat !!!!
    
    var locZaehler = 0;
    var locKatalogNamen = [];
    
    var locPgfFormat = locDokument.FirstPgfFmtInDoc; // aus Liste
        
    while(locPgfFormat.ObjectValid() == true) //------ AbsatzFormatKatalog auslesen
        {  
          locKatalogNamen[locZaehler] = locPgfFormat.Name;
       
          locPgfFormat = locPgfFormat.NextPgfFmtInDoc;
          locZaehler ++;
         }
     locKatalogNamen.sort();
    return locKatalogNamen;
}
