﻿/*
**************************************************************************************
*           Scriptname: TFT_Dialog-4.jsx
*           confirm - eine weitere Form der Meldungsausgabe incl. Werterückgabe
*           Herausfinden, ob ein aktives Dokument vorhanden ist
*           
*
**************************************************************************************
*/

// -----------------    Variablendefinitionen

    var gAbsatzFormatNamen = [];
    var gDialog;
    var gDokument = app.ActiveDoc;
    
    
    gAbsatzFormatNamen = FormatKatalogAuslesen();

    if(gDokument.ObjectValid() == true)
        {
        DialogAufbauen();
        }
    else
        {
        alert("Kein aktives Dokument vorhanden. ABBRUCH");
        }

// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- FUNKTIONEN

function DialogAufbauen()
{
    var Ausgabetext = "Formate ersetzen";
   //gDialog = new Window("dialog",Ausgabetext);
    gDialog = new Window("palette",Ausgabetext);
    var FensterGroesse = [200,200];
    gDialog.minimumSize =FensterGroesse;
 
    gDialog.Verarbeitung = gDialog.add("panel",undefined,"Auswahl");
    gDialog.Verarbeitung.minimumSize = [150,10];
    gDialog.Verarbeitung.Label = gDialog.Verarbeitung.add("statictext",undefined,"Bitte Format auswählen");
  
    gDialog.Verarbeitung.drop = gDialog.Verarbeitung.add("dropdownlist",undefined,gAbsatzFormatNamen); // Geändert
    gDialog.Verarbeitung.drop.selection = 0;
 
    gDialogEingabeBereich = gDialog.add("group", undefined, "Bestätigung"); 
    gDialog.Starten = gDialogEingabeBereich.add("button", undefined, "Zuweisen");
    gDialog.Abbrechen = gDialogEingabeBereich.add("button", undefined, "Abbrechen");
    
  //------  Events
  
    gDialog.Starten.onClick = FormatAustausch;
    gDialog.Abbrechen.onClick = Abbruch;
 
    gDialog.show();
}

function Abbruch()
{
    gDialog.close();
}
  
function FormatAustausch()
{
   
}

function FormatKatalogAuslesen()
{
    var locDokument = app.ActiveDoc;   
    
    var locZaehler = 0;
    var locKatalogNamen = [];
    
    var locPgfFormat = locDokument.FirstPgfFmtInDoc; // aus Liste
        
    while(locPgfFormat.ObjectValid() == true) //------ AbsatzFormatKatalog auslesen
        {  
          locKatalogNamen[locZaehler] = locPgfFormat.Name;
       
          locPgfFormat = locPgfFormat.NextPgfFmtInDoc;
          locZaehler ++;
         }
     locKatalogNamen.sort();
    return locKatalogNamen;
}
