﻿/*
*****************************************************************************************************
*           Scriptname: TFT_6_Dialog.jsx
*           Dialogfeldausgabe
*           Werte aus dem Katalogauslesen werden wiedergegeben
*           
*
*****************************************************************************************************
*/

// -----------------    Variablendefinitionen

    var gAbsatzFormatNamen = [];
    
    var gDialog;
    
    var gDokument = app.ActiveDoc;
    
    //___________________________________
    gAbsatzFormatNamen = FormatKatalogAuslesen();     //------NEU

    if(gDokument.ObjectValid() == true)
        {
            DialogAufbauen();
            }
    else
    {
       alert("Kein aktives Dokument vorhanden. ABBRUCH");        // Muss deaktiviert werden, da diese Meldung sonst bei jedem FM-Start erscheint, wenn im Autostart
    }
// ------------------------------------------------------------------------------  SCRIPTENDE

//---------------------------------------------------------------------- FUNKTIONEN
function DialogAufbauen()
{
    var Ausgabetext = "Formate ersetzen";
    gDialog = new Window("palette",Ausgabetext);
    var FensterGroesse = [200,200];
    gDialog.minimumSize =FensterGroesse;
 
    gDialog.Verarbeitung = gDialog.add("panel",undefined,"Auswahl");
    gDialog.Verarbeitung.minimumSize = [150,10];
    gDialog.Verarbeitung.Label = gDialog.Verarbeitung.add("statictext",undefined,"Bitte Format auswählen");
  
    gDialog.Verarbeitung.drop = gDialog.Verarbeitung.add("dropdownlist",undefined,gAbsatzFormatNamen); // Geändert
    gDialog.Verarbeitung.drop.selection = 0;
 
    gDialogEingabeBereich = gDialog.add("group", undefined, "Bestätigung"); 
    gDialog.Starten = gDialogEingabeBereich.add("button", undefined, "Zuweisen");
    gDialog.Abbrechen = gDialogEingabeBereich.add("button", undefined, "Abbrechen");
  //------  Events
    gDialog.Starten.onClick = FormatAustauschAuswahl;
    gDialog.Abbrechen.onClick = Abbruch;
 
  gDialog.show();
  }

function Abbruch()
{
    var locEingabe = confirm ("Abbrechen " + gDialog.Verarbeitung.drop.selection.text,"" ," ");
    if (locEingabe)
        {
        gDialog.close();
        }
}
  

function FormatAustauschAuswahl()
{
    confirm ("Austausch " + gDialog.Verarbeitung.drop.selection.text);
}

function FormatKatalogAuslesen()
{
    gDokument = app.ActiveDoc;   // falls das aktuelle Dokument gewechselt hat !!!!
    
    var locZaehler = 0;
    var locKatalogNamen = [];
    
    var locPgfFormat = gDokument.FirstPgfFmtInDoc; // aus Liste
        
    while(locPgfFormat.ObjectValid() == true) //------ AbsatzFormatKatalog auslesen
        {  
          locKatalogNamen[locZaehler] = locPgfFormat.Name;
       
          locPgfFormat = locPgfFormat.NextPgfFmtInDoc;
          
          locZaehler ++
         }
     locKatalogNamen.sort();
    return locKatalogNamen;
}



















